Sync a document from its source
Re-sync the document content from the connected source provider. If versioning is enabled, a new draft version is created. Supported source vendors:…
Re-sync the document content from the connected source provider. If versioning is enabled, a new draft version is created. Supported source vendors: google-docs / notion / confluence.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
id*string
Document ID
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://app.orbiqhq.com/api/v1/documents/3fa85f64-5717-4562-b3fc-2c963f66afa6/source-sync" \ -H "Authorization: Bearer <token>" \ -H "Content-Type: application/json" \ -d '{"providerConfigKey":"google-docs"}'{ "success": true, "data": { "versionId": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "fileId": "8fa85f64-5717-4562-b3fc-2c963f66afa6" }}How is this guide?